Bug 207547 - [exp-run] Update ffmpeg to 3.2
Summary: [exp-run] Update ffmpeg to 3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-multimedia mailing list
URL: https://git.ffmpeg.org/gitweb/ffmpeg....
Keywords:
: 208457 (view as bug list)
Depends on: 207390 208816 208817 208818 208819 208821 208895 209056 209057 209095 209121 209346 209348 209375 209380 209386 214178 214183 214184 214185 214186 214187 214188 214189 214190 214191 214192 214193 214194 214195 214196 214197 214234 214247 214815 214824 214896
Blocks: 208457 227726
  Show dependency treegraph
 
Reported: 2016-02-27 19:56 UTC by Thomas Zander
Modified: 2018-04-23 20:19 UTC (History)
6 users (show)

See Also:
jbeich: exp-run?


Attachments
svn diff to ffmpeg 3.0 (9.55 KB, text/plain)
2016-02-27 19:56 UTC, Thomas Zander
no flags Details
svn diff to ffmpeg 3.0.2 (12.05 KB, patch)
2016-05-09 06:10 UTC, Thomas Zander
no flags Details | Diff
svn diff to ffmpeg 3.1.4 (21.23 KB, patch)
2016-10-02 11:46 UTC, Thomas Zander
no flags Details | Diff
svn diff to ffmpeg 3.2 (21.67 KB, patch)
2016-10-30 18:12 UTC, Thomas Zander
no flags Details | Diff
svn diff to ffmpeg 3.2.1 (21.88 KB, patch)
2016-11-26 09:19 UTC, Thomas Zander
no flags Details | Diff
new patch to fix build with libressl (1.87 KB, patch)
2016-11-27 07:25 UTC, Hatronmorus
no flags Details | Diff
svn diff to ffmpeg 3.2.1 (27.09 KB, patch)
2016-12-03 17:59 UTC, Thomas Zander
no flags Details | Diff
svn diff to ffmpeg 3.2.1 (27.10 KB, patch)
2016-12-04 10:39 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2016-02-27 19:56:38 UTC
Created attachment 167489 [details]
svn diff to ffmpeg 3.0

The recent upstream release of ffmpeg 3.0 comes with API/ABI breaking changes including depreciation of some once-supported libraries. An exp-run is required to identify the ports broken by this upgrade.
Comment 1 Antoine Brodin freebsd_committer 2016-02-28 07:15:47 UTC
Exp-run results:

http://package22.nyi.freebsd.org/build.html?mastername=103i386-default-PR207547&build=2016-02-27_20h30m58s
http://package23.nyi.freebsd.org/build.html?mastername=93amd64-default-PR207547&build=2016-02-27_20h30m56s

Around 500 ports were skipped due to failures so this will need more runs.

New failures:

+ {"origin"=>"audio/aqualung", "pkgname"=>"aqualung-1.0", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/baresip", "pkgname"=>"baresip-0.4.8_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/cantata", "pkgname"=>"cantata-1.5.1_3", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/chromaprint", "pkgname"=>"chromaprint-1.1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"audio/cmus", "pkgname"=>"cmus-2.6.0_3", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/lastfm-desktop", "pkgname"=>"lastfm-desktop-2.1.30_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/moc", "pkgname"=>"moc-2.5.0", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"audio/spek", "pkgname"=>"spek-0.8.2_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"cad/netgen", "pkgname"=>"netgen-5.3.1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/dabstick-radio", "pkgname"=>"dabstick-radio-0.96_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/grass", "pkgname"=>"grass-6.4.5_3,2", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"deskutils/libstreamanalyzer", "pkgname"=>"libstreamanalyzer-0.7.8_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"devel/libdlna", "pkgname"=>"libdlna-0.2.3_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/kcemu", "pkgname"=>"kcemu-0.5.1_8", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vice", "pkgname"=>"vice-gnome-2.4_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/visualboyadvance-m", "pkgname"=>"visualboyadvance-m-1.8.0r1231_5", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"games/retroarch", "pkgname"=>"RetroArch-1.2.2_1", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"graphics/opencv", "pkgname"=>"opencv-2.4.9_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/openimageio", "pkgname"=>"openimageio-1.5.20_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/osg", "pkgname"=>"osg-3.2.1_8", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/osg-devel", "pkgname"=>"osg-devel-3.3.9_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/php5-ffmpeg", "pkgname"=>"php5-ffmpeg-0.6.0.20120114", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/wxsvg", "pkgname"=>"wxsvg-1.5.5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"math/octave-forge-video", "pkgname"=>"octave-forge-video-1.2.1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/aegisub", "pkgname"=>"aegisub-3.2.2_2", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/bino", "pkgname"=>"bino-1.4.2_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/dvbcut", "pkgname"=>"dvbcut-0.6.2.a1_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/ffmpeg2theora", "pkgname"=>"ffmpeg2theora-0.29_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/ffmpegthumbnailer", "pkgname"=>"ffmpegthumbnailer-2.0.9_1", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/gstreamer1-libav", "pkgname"=>"gstreamer1-libav-1.6.3", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"multimedia/libquicktime", "pkgname"=>"libquicktime-1.2.4_11", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/libxine", "pkgname"=>"libxine-1.2.6_4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/miro", "pkgname"=>"miro-6.0_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mlt", "pkgname"=>"mlt-0.9.6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mplayer2", "pkgname"=>"mplayer2-2.0.20130428_17", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/nordlicht", "pkgname"=>"nordlicht-0.4.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/py-ffmpeg", "pkgname"=>"py27-ffmpeg-1.2.4_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/transcode", "pkgname"=>"transcode-1.1.7_25", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vdr-plugin-markad", "pkgname"=>"vdr-plugin-markad-0.1.4", "phase"=>"package", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vdr-plugin-osdpip", "pkgname"=>"vdr-plugin-osdpip-0.1.1_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vlc", "pkgname"=>"vlc-2.2.1_7,4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vlc-qt4", "pkgname"=>"vlc-qt4-2.2.1_7,4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/freerdp", "pkgname"=>"freerdp-1.2.0_5", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"net/opal", "pkgname"=>"opal-3.10.10_9", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"textproc/libextractor", "pkgname"=>"libextractor-1.3_4", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"x11-toolkits/nucleo", "pkgname"=>"nucleo-0.7.6_12", "phase"=>"build", "errortype"=>"clang"}
Comment 2 Thomas Zander freebsd_committer 2016-02-28 18:35:24 UTC
(In reply to Antoine Brodin from comment #1)

Merci.
This is a little worse than I was hoping, but not really surprising, given that some API changes are substantial.
It makes sense to stay with the 2.8 branch for now and allow ffmpeg consumers to upgrade to newer upstream versions supporting the 3.0 branch.
Comment 3 Jan Beich freebsd_committer 2016-04-06 01:53:21 UTC
- graphics/opencv can be fixed by Debian patches (libav10 + ffmpeg_2.9)
- multimedia/aegisub is fixed by ports r412592

I haven't looked at the rest but those stuck at a particular version (like opencv) may require backporting upstream fixes.
Comment 4 Ben Woods freebsd_committer 2016-04-14 06:04:02 UTC
Hi guys,
I am working on 2 things to allow ffmpeg 3 to be introduced to the ports tree:

1. I am updating multimedia/ffmpeg to 3.0.1 based on the attached patch from Thomas, and introducing a new multimedia/ffmpeg28 (similar to the deleted multimedia/ffmpeg26).

2. I am creating patches to ensure each thing that is broken by ffmpeg 3 build successfully (either updating other ports to their newer upstream version which works with ffmpeg3, adding patches to allow them to build with ffmpeg3, or modifying the port to build against multimedia/ffmpeg28).

A number of the changes to other ports cannot be committed to the ports tree before the ffmpeg changes are applied (it all needs to be committed together). What is the best way to put this up for code review? One big patch attached to this bug report seems like it would be hard to review and get maintainer feedback. Lots of bug reports which depend on this bug report may feel like a flood. Thoughts?
Comment 5 Antoine Brodin freebsd_committer 2016-04-14 06:38:35 UTC
Usually this is what happens:
- an exp-run is done
- ports having failures are patched/updated to work with the new version, with priority on the ports causing the more skipped
- exp-run is done again
- once most of ports are ok update is committed

I see no reason not to do this for ffmpeg.
Comment 6 Jan Beich freebsd_committer 2016-04-15 16:37:22 UTC
Keep multimedia@ notified about overall progress as this may affect new ports.
Comment 7 Thomas Zander freebsd_committer 2016-05-09 06:10:32 UTC
Created attachment 170132 [details]
svn diff to ffmpeg 3.0.2

This patch includes the new OPTIONs proposed in bug 208457
Comment 8 Jan Beich freebsd_committer 2016-05-16 21:49:03 UTC
*** Bug 208457 has been marked as a duplicate of this bug. ***
Comment 9 Ben Woods freebsd_committer 2016-06-11 09:29:09 UTC
Patch to fix build of multimedia/vdr-plugin-osdpip with FFmpeg 3.0.x being worked on here:
https://reviews.freebsd.org/D6806
Comment 10 Ben Woods freebsd_committer 2016-06-11 19:25:03 UTC
Patch to fix build of net/freerdp with FFmpeg 3.0.x is being worked on here:
https://reviews.freebsd.org/D6813
Comment 11 Ben Woods freebsd_committer 2016-06-11 21:13:30 UTC
Patch to fix build of audio/aqualung with FFmpeg 3.0.x is being worked on here:
https://reviews.freebsd.org/D6820
Comment 12 Ben Woods freebsd_committer 2016-06-11 22:31:39 UTC
An update to audio/baresip to fix the build with FFmpeg 3.0.x is being worked on here:
https://reviews.freebsd.org/D6822
Comment 13 Ben Woods freebsd_committer 2016-06-16 22:55:32 UTC
An update and patch to fix build of audio/lastfm-desktop with FFmpeg 3.0.x is being worked on here:
https://reviews.freebsd.org/D6874
Comment 14 Thomas Zander freebsd_committer 2016-10-02 11:46:20 UTC
Created attachment 175364 [details]
svn diff to ffmpeg 3.1.4
Comment 15 Thomas Zander freebsd_committer 2016-10-02 11:50:03 UTC
Some time has passed since the last exp-run for ffmpeg 3.0 in which many incompatibilities were fixed, both by Ben's great effort and some upstream modernisation which should bring us closer to bringing in ffmpeg 3.x.

@antoine: Could we repeat the exp-run with attachment 175364 [details] which contains an up-to-date patchset for head to the latest ffmpeg 3.1.4 release?
Comment 16 Antoine Brodin freebsd_committer 2016-10-05 05:20:19 UTC
Exp-run results on 10.3 i386 (FFMPEG option turned on):

http://package23.nyi.freebsd.org/build.html?mastername=103i386-default-PR207547&build=2016-10-04_18h24m30s

New failures:

+ {"origin"=>"audio/acoustid-fingerprinter", "pkgname"=>"acoustid-fingerprinter-0.6_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/amarok-kde4", "pkgname"=>"amarok-2.8.0_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"audio/cmus", "pkgname"=>"cmus-2.7.1", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"audio/libgroove", "pkgname"=>"libgroove-4.3.0_1", "phase"=>"build", "errortype"=>"clang_werror"}
+ {"origin"=>"audio/moc", "pkgname"=>"moc-2.5.0", "phase"=>"build", "errortype"=>"missing_header"}
+ {"origin"=>"cad/netgen", "pkgname"=>"netgen-5.3.1", "phase"=>"build", "errortype"=>"linker_error"}
+ {"origin"=>"comms/dabstick-radio", "pkgname"=>"dabstick-radio-0.96_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"databases/grass", "pkgname"=>"grass-6.4.6,2", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"devel/libdlna", "pkgname"=>"libdlna-0.2.3_6", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/kcemu", "pkgname"=>"kcemu-0.5.1_8", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/vice", "pkgname"=>"vice-gnome-2.4_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"emulators/visualboyadvance-m", "pkgname"=>"visualboyadvance-m-2.0.0b2", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"graphics/osg-devel", "pkgname"=>"osg-devel-3.3.9_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/php5-ffmpeg", "pkgname"=>"php5-ffmpeg-0.6.0.20120114_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/2mandvd", "pkgname"=>"2ManDVD-1.8.5_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/bino", "pkgname"=>"bino-1.4.2_3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/bombono", "pkgname"=>"bombono-1.2.2_7", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"multimedia/dvbcut", "pkgname"=>"dvbcut-0.6.2.a1_4", "phase"=>"build", "errortype"=>"bad_C++_code"}
+ {"origin"=>"multimedia/kdemultimedia4-ffmpegthumbs", "pkgname"=>"kdemultimedia-ffmpegthumbs-4.14.3", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/miro", "pkgname"=>"miro-6.0_7", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/mlt", "pkgname"=>"mlt-6.2.0_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/nordlicht", "pkgname"=>"nordlicht-0.4.4", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/pHash", "pkgname"=>"pHash-0.9.6", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/py-ffmpeg", "pkgname"=>"py27-ffmpeg-1.2.4_2", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"multimedia/vlc", "pkgname"=>"vlc-2.2.4_1,4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"multimedia/vlc-qt4", "pkgname"=>"vlc-qt4-2.2.4_1,4", "phase"=>"configure", "errortype"=>"configure_error"}
+ {"origin"=>"x11-toolkits/nucleo", "pkgname"=>"nucleo-0.7.6_14", "phase"=>"build", "errortype"=>"clang"}

Failure logs:

http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/acoustid-fingerprinter-0.6_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/amarok-2.8.0_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/cmus-2.7.1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/libgroove-4.3.0_1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/moc-2.5.0.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/netgen-5.3.1.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/dabstick-radio-0.96_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/grass-6.4.6,2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/libdlna-0.2.3_6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/kcemu-0.5.1_8.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/vice-gnome-2.4_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/visualboyadvance-m-2.0.0b2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/osg-devel-3.3.9_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/php5-ffmpeg-0.6.0.20120114_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/2ManDVD-1.8.5_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/bino-1.4.2_3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/bombono-1.2.2_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/dvbcut-0.6.2.a1_4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/kdemultimedia-ffmpegthumbs-4.14.3.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/miro-6.0_7.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/mlt-6.2.0_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/nordlicht-0.4.4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/pHash-0.9.6.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/py27-ffmpeg-1.2.4_2.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/vlc-2.2.4_1,4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/vlc-qt4-2.2.4_1,4.log
http://package23.nyi.freebsd.org/data/103i386-default-PR207547/2016-10-04_18h24m30s/logs/errors/nucleo-0.7.6_14.log
Comment 17 Thomas Zander freebsd_committer 2016-10-30 18:12:59 UTC
Created attachment 176314 [details]
svn diff to ffmpeg 3.2
Comment 18 Jan Beich freebsd_committer 2016-11-04 04:26:30 UTC
This is a regular port update. ffmpeg just has many consumers. Let's fix bugzilla defaults when filing blocking bugs.

Also, during ENOTIME better alert maintainers than stall the progress.
Comment 19 commit-hook freebsd_committer 2016-11-04 07:06:41 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:05:51 UTC 2016
New revision: 425290
URL: https://svnweb.freebsd.org/changeset/ports/425290

Log:
  comms/dabstick-radio: unbreak build with ffmpeg 3.x

  backend/mp2processor-ffmpeg.cpp:49:33: error: use of undeclared identifier 'CODEC_ID_MP1'; did you
        mean 'AV_CODEC_ID_MP1'?
          codec           = avcodec_find_decoder (CODEC_ID_MP1);
                                                  ^~~~~~~~~~~~
  In file included from backend/mp2processor.cpp:7:
  backend/mp2processor-ffmpeg.cpp:66:18: error: use of undeclared identifier 'avcodec_alloc_frame'
          decoded_frame   = avcodec_alloc_frame ();
                            ^
  backend/mp2processor-ffmpeg.cpp:107:2: error: use of undeclared identifier
        'avcodec_get_frame_defaults'
          avcodec_get_frame_defaults (decoded_frame);
          ^

  PR:		207547

Changes:
  head/comms/dabstick-radio/Makefile
  head/comms/dabstick-radio/files/patch-dabreceiver-V2_backend_mp2processor-ffmpeg.cpp
Comment 20 commit-hook freebsd_committer 2016-11-04 07:08:44 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:08:39 UTC 2016
New revision: 425291
URL: https://svnweb.freebsd.org/changeset/ports/425291

Log:
  MFH: r425290

  comms/dabstick-radio: unbreak build with ffmpeg 3.x

  backend/mp2processor-ffmpeg.cpp:49:33: error: use of undeclared identifier 'CODEC_ID_MP1'; did you
        mean 'AV_CODEC_ID_MP1'?
          codec           = avcodec_find_decoder (CODEC_ID_MP1);
                                                  ^~~~~~~~~~~~
  In file included from backend/mp2processor.cpp:7:
  backend/mp2processor-ffmpeg.cpp:66:18: error: use of undeclared identifier 'avcodec_alloc_frame'
          decoded_frame   = avcodec_alloc_frame ();
                            ^
  backend/mp2processor-ffmpeg.cpp:107:2: error: use of undeclared identifier
        'avcodec_get_frame_defaults'
          avcodec_get_frame_defaults (decoded_frame);
          ^

  PR:		207547
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/comms/dabstick-radio/Makefile
  branches/2016Q4/comms/dabstick-radio/files/patch-dabreceiver-V2_backend_mp2processor-ffmpeg.cpp
Comment 21 commit-hook freebsd_committer 2016-11-04 07:22:47 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:21:58 UTC 2016
New revision: 425292
URL: https://svnweb.freebsd.org/changeset/ports/425292

Log:
  multimedia/2mandvd: unbreak build with ffmpeg 3.x

  videowrapper.cpp:107:40: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
                      pCodecCtx->height, PIX_FMT_RGB24, SWS_BICUBIC, NULL,
                                         ^~~~~~~~~~~~~
  videowrapper.cpp:128:19: error: use of undeclared identifier 'avcodec_alloc_frame'
          pFrameRGB=avcodec_alloc_frame();
                    ^

  PR:		207547

Changes:
  head/multimedia/2mandvd/Makefile
  head/multimedia/2mandvd/files/patch-videowrapper.cpp
Comment 22 commit-hook freebsd_committer 2016-11-04 07:25:49 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:25:37 UTC 2016
New revision: 425293
URL: https://svnweb.freebsd.org/changeset/ports/425293

Log:
  MFH: r425292

  multimedia/2mandvd: unbreak build with ffmpeg 3.x

  videowrapper.cpp:107:40: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
                      pCodecCtx->height, PIX_FMT_RGB24, SWS_BICUBIC, NULL,
                                         ^~~~~~~~~~~~~
  videowrapper.cpp:128:19: error: use of undeclared identifier 'avcodec_alloc_frame'
          pFrameRGB=avcodec_alloc_frame();
                    ^

  PR:		207547
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/multimedia/2mandvd/Makefile
  branches/2016Q4/multimedia/2mandvd/files/patch-videowrapper.cpp
Comment 23 commit-hook freebsd_committer 2016-11-04 07:37:52 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:37:48 UTC 2016
New revision: 425298
URL: https://svnweb.freebsd.org/changeset/ports/425298

Log:
  audio/libgroove: unbreak build with ffmpeg 3.x

  groove/encoder.c:84:19: error:
        'avcodec_encode_audio2' is deprecated [-Werror,-Wdeprecated-declarations]
      int errcode = avcodec_encode_audio2(e->stream->codec, &e->pkt, frame, &got_packet);
                    ^
  /usr/local/include/libavcodec/avcodec.h:5283:5: note: 'avcodec_encode_audio2' has been explicitly
        marked deprecated here
  int avcodec_encode_audio2(AVCodecContext *avctx, AVPacket *avpkt,
      ^
  groove/encoder.c:84:52: error: 'codec'
        is deprecated [-Werror,-Wdeprecated-declarations]
      int errcode = avcodec_encode_audio2(e->stream->codec, &e->pkt, frame, &got_packet);
                                                     ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:94:5: error:
        'av_free_packet' is deprecated [-Werror,-Wdeprecated-declarations]
      av_free_packet(&e->pkt);
      ^
  /usr/local/include/libavcodec/avcodec.h:4472:6: note: 'av_free_packet' has been explicitly marked
        deprecated here
  void av_free_packet(AVPacket *pkt);
       ^
  groove/encoder.c:101:34: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
          avcodec_close(e->stream->codec);
                                   ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:134:44: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
      AVCodecContext *codec_ctx = e->stream->codec;
                                             ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:148:16: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
      e->stream->codec = codec_ctx;
                 ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:620:24: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
          0 : e->stream->codec->frame_size;
                         ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  7 errors generated.

  PR:		207547

Changes:
  head/audio/libgroove/Makefile
Comment 24 commit-hook freebsd_committer 2016-11-04 07:40:54 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 07:40:08 UTC 2016
New revision: 425300
URL: https://svnweb.freebsd.org/changeset/ports/425300

Log:
  MFH: r425298

  audio/libgroove: unbreak build with ffmpeg 3.x

  groove/encoder.c:84:19: error:
        'avcodec_encode_audio2' is deprecated [-Werror,-Wdeprecated-declarations]
      int errcode = avcodec_encode_audio2(e->stream->codec, &e->pkt, frame, &got_packet);
                    ^
  /usr/local/include/libavcodec/avcodec.h:5283:5: note: 'avcodec_encode_audio2' has been explicitly
        marked deprecated here
  int avcodec_encode_audio2(AVCodecContext *avctx, AVPacket *avpkt,
      ^
  groove/encoder.c:84:52: error: 'codec'
        is deprecated [-Werror,-Wdeprecated-declarations]
      int errcode = avcodec_encode_audio2(e->stream->codec, &e->pkt, frame, &got_packet);
                                                     ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:94:5: error:
        'av_free_packet' is deprecated [-Werror,-Wdeprecated-declarations]
      av_free_packet(&e->pkt);
      ^
  /usr/local/include/libavcodec/avcodec.h:4472:6: note: 'av_free_packet' has been explicitly marked
        deprecated here
  void av_free_packet(AVPacket *pkt);
       ^
  groove/encoder.c:101:34: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
          avcodec_close(e->stream->codec);
                                   ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:134:44: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
      AVCodecContext *codec_ctx = e->stream->codec;
                                             ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:148:16: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
      e->stream->codec = codec_ctx;
                 ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  groove/encoder.c:620:24: error:
        'codec' is deprecated [-Werror,-Wdeprecated-declarations]
          0 : e->stream->codec->frame_size;
                         ^
  /usr/local/include/libavformat/avformat.h:893:21: note: 'codec' has been explicitly marked deprecated
        here
      AVCodecContext *codec;
                      ^
  7 errors generated.

  PR:		207547
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/audio/libgroove/Makefile
Comment 25 commit-hook freebsd_committer 2016-11-04 08:49:02 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 08:48:50 UTC 2016
New revision: 425305
URL: https://svnweb.freebsd.org/changeset/ports/425305

Log:
  x11-toolkits/nucleo: unbreak build with ffmpeg 3.x

  In file included from nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:14:
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:10: error: ISO C++ forbids forward references to
        'enum' types
      enum PixelFormat srcEncoding ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:22: error: field has incomplete type
        'enum PixelFormat'
      enum PixelFormat srcEncoding ;
                       ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:10: note: forward declaration of
        'nucleo::PixelFormat'
      enum PixelFormat srcEncoding ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:131:44: error: use of undeclared identifier 'CODEC_ID_NONE'; did you mean
        'AV_CODEC_ID_NONE'?
      else if (output_format->video_codec == CODEC_ID_NONE) {
                                             ^~~~~~~~~~~~~
                                             AV_CODEC_ID_NONE
  /usr/local/include/libavcodec/avcodec.h:192:5: note: 'AV_CODEC_ID_NONE' declared here
      AV_CODEC_ID_NONE,
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSource.cxx:132:8: error: use of undeclared identifier 'PIX_FMT_GRAY8'; did you mean
        'AV_PIX_FMT_GRAY8'?
           case PIX_FMT_GRAY8:
                ^~~~~~~~~~~~~
                AV_PIX_FMT_GRAY8
  /usr/local/include/libavutil/pixfmt.h:70:5: note: 'AV_PIX_FMT_GRAY8' declared here
      AV_PIX_FMT_GRAY8,     ///<        Y        ,  8bpp
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:265:34: error: use of undeclared identifier 'PIX_FMT_GRAY8'; did you mean
        'AV_PIX_FMT_GRAY8'?
      case Image::L: srcEncoding = PIX_FMT_GRAY8 ; break ;
                                   ^~~~~~~~~~~~~
                                   AV_PIX_FMT_GRAY8
  /usr/local/include/libavutil/pixfmt.h:70:5: note: 'AV_PIX_FMT_GRAY8' declared here
      AV_PIX_FMT_GRAY8,     ///<        Y        ,  8bpp
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:266:42: error: use of undeclared identifier 'PIX_FMT_YUV420P'; did you mean
        'AV_PIX_FMT_YUV420P'?
      case Image::YpCbCr420: srcEncoding = PIX_FMT_YUV420P ; break ;
                                           ^~~~~~~~~~~~~~~
                                           AV_PIX_FMT_YUV420P
  /usr/local/include/libavutil/pixfmt.h:62:5: note: 'AV_PIX_FMT_YUV420P' declared here
      AV_PIX_FMT_YUV420P,   ///< planar YUV 4:2:0, 12bpp, (1 Cr & Cb sample per 2x2 Y samples)
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:267:28: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
      default: srcEncoding = PIX_FMT_RGB24 ; break ;
                             ^~~~~~~~~~~~~
                             AV_PIX_FMT_RGB24
  /usr/local/include/libavutil/pixfmt.h:64:5: note: 'AV_PIX_FMT_RGB24' declared here
      AV_PIX_FMT_RGB24,     ///< packed RGB 8:8:8, 24bpp, RGBRGB...
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:270:5: error: use of undeclared identifier 'avcodec_get_frame_defaults'
      avcodec_get_frame_defaults(&srcPic) ;
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:274:3: error: use of undeclared identifier 'avcodec_get_frame_defaults'
           avcodec_get_frame_defaults(&convPic) ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:303:22: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
      if (srcEncoding==PIX_FMT_RGB24) convertImage(img, Image::RGB) ;
                       ^~~~~~~~~~~~~
                       AV_PIX_FMT_RGB24
  /usr/local/include/libavutil/pixfmt.h:64:5: note: 'AV_PIX_FMT_RGB24' declared here
      AV_PIX_FMT_RGB24,     ///< packed RGB 8:8:8, 24bpp, RGBRGB...
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:329:20: error: use of undeclared identifier 'avcodec_encode_video'; did you mean
        'avcodec_encode_video2'?
      int out_size = avcodec_encode_video(cctx, video_outbuf, video_outbuf_size, picture) ;
                     ^~~~~~~~~~~~~~~~~~~~
                     avcodec_encode_video2
  /usr/local/include/libavcodec/avcodec.h:5322:5: note: 'avcodec_encode_video2' declared here
  int avcodec_encode_video2(AVCodecContext *avctx, AVPacket *avpkt,
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:329:47: error: cannot initialize a parameter of type 'AVPacket *' with an lvalue
        of type 'uint8_t *' (aka 'unsigned char *')
      int out_size = avcodec_encode_video(cctx, video_outbuf, video_outbuf_size, picture) ;
                                                ^~~~~~~~~~~~
  /usr/local/include/libavcodec/avcodec.h:5322:60: note: passing argument to parameter 'avpkt' here
  int avcodec_encode_video2(AVCodecContext *avctx, AVPacket *avpkt,
                                                             ^

  PR:		207547

Changes:
  head/x11-toolkits/nucleo/Makefile
  head/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSink.cxx
  head/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSource.cxx
  head/x11-toolkits/nucleo/files/patch-nucleo_plugins_ffmpeg_ffmpegImageSink.H
Comment 26 commit-hook freebsd_committer 2016-11-04 08:53:04 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 08:52:20 UTC 2016
New revision: 425306
URL: https://svnweb.freebsd.org/changeset/ports/425306

Log:
  MFH: r425305

  x11-toolkits/nucleo: unbreak build with ffmpeg 3.x

  In file included from nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:14:
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:10: error: ISO C++ forbids forward references to
        'enum' types
      enum PixelFormat srcEncoding ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:22: error: field has incomplete type
        'enum PixelFormat'
      enum PixelFormat srcEncoding ;
                       ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.H:39:10: note: forward declaration of
        'nucleo::PixelFormat'
      enum PixelFormat srcEncoding ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:131:44: error: use of undeclared identifier 'CODEC_ID_NONE'; did you mean
        'AV_CODEC_ID_NONE'?
      else if (output_format->video_codec == CODEC_ID_NONE) {
                                             ^~~~~~~~~~~~~
                                             AV_CODEC_ID_NONE
  /usr/local/include/libavcodec/avcodec.h:192:5: note: 'AV_CODEC_ID_NONE' declared here
      AV_CODEC_ID_NONE,
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSource.cxx:132:8: error: use of undeclared identifier 'PIX_FMT_GRAY8'; did you mean
        'AV_PIX_FMT_GRAY8'?
           case PIX_FMT_GRAY8:
                ^~~~~~~~~~~~~
                AV_PIX_FMT_GRAY8
  /usr/local/include/libavutil/pixfmt.h:70:5: note: 'AV_PIX_FMT_GRAY8' declared here
      AV_PIX_FMT_GRAY8,     ///<        Y        ,  8bpp
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:265:34: error: use of undeclared identifier 'PIX_FMT_GRAY8'; did you mean
        'AV_PIX_FMT_GRAY8'?
      case Image::L: srcEncoding = PIX_FMT_GRAY8 ; break ;
                                   ^~~~~~~~~~~~~
                                   AV_PIX_FMT_GRAY8
  /usr/local/include/libavutil/pixfmt.h:70:5: note: 'AV_PIX_FMT_GRAY8' declared here
      AV_PIX_FMT_GRAY8,     ///<        Y        ,  8bpp
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:266:42: error: use of undeclared identifier 'PIX_FMT_YUV420P'; did you mean
        'AV_PIX_FMT_YUV420P'?
      case Image::YpCbCr420: srcEncoding = PIX_FMT_YUV420P ; break ;
                                           ^~~~~~~~~~~~~~~
                                           AV_PIX_FMT_YUV420P
  /usr/local/include/libavutil/pixfmt.h:62:5: note: 'AV_PIX_FMT_YUV420P' declared here
      AV_PIX_FMT_YUV420P,   ///< planar YUV 4:2:0, 12bpp, (1 Cr & Cb sample per 2x2 Y samples)
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:267:28: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
      default: srcEncoding = PIX_FMT_RGB24 ; break ;
                             ^~~~~~~~~~~~~
                             AV_PIX_FMT_RGB24
  /usr/local/include/libavutil/pixfmt.h:64:5: note: 'AV_PIX_FMT_RGB24' declared here
      AV_PIX_FMT_RGB24,     ///< packed RGB 8:8:8, 24bpp, RGBRGB...
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:270:5: error: use of undeclared identifier 'avcodec_get_frame_defaults'
      avcodec_get_frame_defaults(&srcPic) ;
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:274:3: error: use of undeclared identifier 'avcodec_get_frame_defaults'
           avcodec_get_frame_defaults(&convPic) ;
           ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:303:22: error: use of undeclared identifier 'PIX_FMT_RGB24'; did you mean
        'AV_PIX_FMT_RGB24'?
      if (srcEncoding==PIX_FMT_RGB24) convertImage(img, Image::RGB) ;
                       ^~~~~~~~~~~~~
                       AV_PIX_FMT_RGB24
  /usr/local/include/libavutil/pixfmt.h:64:5: note: 'AV_PIX_FMT_RGB24' declared here
      AV_PIX_FMT_RGB24,     ///< packed RGB 8:8:8, 24bpp, RGBRGB...
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:329:20: error: use of undeclared identifier 'avcodec_encode_video'; did you mean
        'avcodec_encode_video2'?
      int out_size = avcodec_encode_video(cctx, video_outbuf, video_outbuf_size, picture) ;
                     ^~~~~~~~~~~~~~~~~~~~
                     avcodec_encode_video2
  /usr/local/include/libavcodec/avcodec.h:5322:5: note: 'avcodec_encode_video2' declared here
  int avcodec_encode_video2(AVCodecContext *avctx, AVPacket *avpkt,
      ^
  nucleo/plugins/ffmpeg/ffmpegImageSink.cxx:329:47: error: cannot initialize a parameter of type 'AVPacket *' with an lvalue
        of type 'uint8_t *' (aka 'unsigned char *')
      int out_size = avcodec_encode_video(cctx, video_outbuf, video_outbuf_size, picture) ;
                                                ^~~~~~~~~~~~
  /usr/local/include/libavcodec/avcodec.h:5322:60: note: passing argument to parameter 'avpkt' here
  int avcodec_encode_video2(AVCodecContext *avctx, AVPacket *avpkt,
                                                             ^

  PR:		207547
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/x11-toolkits/nucleo/Makefile
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSink.cxx
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSource.cxx
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo_plugins_ffmpeg_ffmpegImageSink.H
Comment 27 commit-hook freebsd_committer 2016-11-04 10:46:14 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 10:45:19 UTC 2016
New revision: 425311
URL: https://svnweb.freebsd.org/changeset/ports/425311

Log:
  multimedia/bombono: unbreak build with ffmpeg 3.x

  src/mgui/ffviewer.cpp:642:22: error: 'SWS_CPU_CAPS_MMX' was not declared in this scope
           sws_flags |= SWS_CPU_CAPS_MMX|SWS_CPU_CAPS_MMX2;
                        ^
  src/mgui/ffviewer.cpp:642:39: error: 'SWS_CPU_CAPS_MMX2' was not declared in this scope
           sws_flags |= SWS_CPU_CAPS_MMX|SWS_CPU_CAPS_MMX2;
                                         ^
  src/mgui/ffviewer.cpp:650:9: error: 'PixelFormat' was not declared in this scope
           PixelFormat dst_pf = PIX_FMT_BGR24; // PIX_FMT_RGB24;
           ^
  src/mgui/ffviewer.cpp:650:21: error: expected ';' before 'dst_pf'
           PixelFormat dst_pf = PIX_FMT_BGR24; // PIX_FMT_RGB24;
                       ^
  src/mgui/ffviewer.cpp:652:13: error: 'dst_pf' was not declared in this scope
               dst_pf, sws_flags, 0, 0, 0);
               ^
  src/mgui/ffviewer.cpp:657:45: error: 'avcodec_get_frame_defaults' was not declared in this scope
           avcodec_get_frame_defaults(&rgbFrame); // ?? ????????
                                               ^

  PR:		207547
  Obtained from:	upstream

Changes:
  head/multimedia/bombono/Makefile
  head/multimedia/bombono/files/patch-src_mgui_ffviewer.cpp
Comment 28 commit-hook freebsd_committer 2016-11-04 10:48:16 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 10:47:58 UTC 2016
New revision: 425312
URL: https://svnweb.freebsd.org/changeset/ports/425312

Log:
  MFH: r425311

  multimedia/bombono: unbreak build with ffmpeg 3.x

  src/mgui/ffviewer.cpp:642:22: error: 'SWS_CPU_CAPS_MMX' was not declared in this scope
           sws_flags |= SWS_CPU_CAPS_MMX|SWS_CPU_CAPS_MMX2;
                        ^
  src/mgui/ffviewer.cpp:642:39: error: 'SWS_CPU_CAPS_MMX2' was not declared in this scope
           sws_flags |= SWS_CPU_CAPS_MMX|SWS_CPU_CAPS_MMX2;
                                         ^
  src/mgui/ffviewer.cpp:650:9: error: 'PixelFormat' was not declared in this scope
           PixelFormat dst_pf = PIX_FMT_BGR24; // PIX_FMT_RGB24;
           ^
  src/mgui/ffviewer.cpp:650:21: error: expected ';' before 'dst_pf'
           PixelFormat dst_pf = PIX_FMT_BGR24; // PIX_FMT_RGB24;
                       ^
  src/mgui/ffviewer.cpp:652:13: error: 'dst_pf' was not declared in this scope
               dst_pf, sws_flags, 0, 0, 0);
               ^
  src/mgui/ffviewer.cpp:657:45: error: 'avcodec_get_frame_defaults' was not declared in this scope
           avcodec_get_frame_defaults(&rgbFrame); // ?? ????????
                                               ^

  PR:		207547
  Obtained from:	upstream
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/multimedia/bombono/Makefile
  branches/2016Q4/multimedia/bombono/files/patch-src_mgui_ffviewer.cpp
Comment 29 commit-hook freebsd_committer 2016-11-04 14:24:42 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 14:24:06 UTC 2016
New revision: 425324
URL: https://svnweb.freebsd.org/changeset/ports/425324

Log:
  x11-toolkits/nucleo: oops, restore size check after r425305

  PR:		207547

Changes:
  head/x11-toolkits/nucleo/Makefile
  head/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSink.cxx
Comment 30 commit-hook freebsd_committer 2016-11-04 14:29:44 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 14:29:14 UTC 2016
New revision: 425325
URL: https://svnweb.freebsd.org/changeset/ports/425325

Log:
  x11-toolkits/nucleo: back out r425306

  avcodec_encode_video -> avcodec_encode_video2 is a bit risky. And my
  conversion had a bug (see r425324). Let it bake on /head like usual.

  PR:		207547
  Pointyhat to:	jbeich
  Approved by:	ports-secteam blanket

Changes:
_U  branches/2016Q4/
  branches/2016Q4/x11-toolkits/nucleo/Makefile
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSink.cxx
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo__plugins__ffmpeg__ffmpegImageSource.cxx
  branches/2016Q4/x11-toolkits/nucleo/files/patch-nucleo_plugins_ffmpeg_ffmpegImageSink.H
Comment 31 commit-hook freebsd_committer 2016-11-04 14:30:47 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov  4 14:30:43 UTC 2016
New revision: 425326
URL: https://svnweb.freebsd.org/changeset/ports/425326

Log:
  databases/grass: unbreak build with ffmpeg 3.x

  lib/ogsf/gsd_img_mpeg.c:41:24: error: 'PIX_FMT_YUV420P' undeclared (first use in this function)
   #define STREAM_PIX_FMT PIX_FMT_YUV420P /* default pix_fmt */
                          ^
  lib/ogsf/gsd_img_mpeg.c:97:18: note: in expansion of macro 'STREAM_PIX_FMT'
       c->pix_fmt = STREAM_PIX_FMT;
                    ^
  lib/ogsf/gsd_img_mpeg.c:41:24: note: each undeclared identifier is reported only once for each function it appears in
   #define STREAM_PIX_FMT PIX_FMT_YUV420P /* default pix_fmt */
                          ^
  lib/ogsf/gsd_img_mpeg.c:97:18: note: in expansion of macro 'STREAM_PIX_FMT'
       c->pix_fmt = STREAM_PIX_FMT;
                    ^
  lib/ogsf/gsd_img_mpeg.c:98:24: error: 'CODEC_ID_MPEG2VIDEO' undeclared (first use in this function)
       if (c->codec_id == CODEC_ID_MPEG2VIDEO) {
                          ^

  PR:		207547

Changes:
  head/databases/grass/Makefile
  head/databases/grass/files/patch-lib_ogsf_gsd__img__mpeg.c
Comment 32 Jan Beich freebsd_committer 2016-11-04 14:33:57 UTC
All unmaintained consumers are fixed. The rest have blocking bugs.
Comment 33 Thomas Zander freebsd_committer 2016-11-04 17:49:43 UTC
(In reply to Jan Beich (mail not working) from comment #32)

Awesome! Thanks!
Comment 34 Jan Beich freebsd_committer 2016-11-05 07:13:58 UTC
Why not do the following? A bit aggressive approach:
1. perform another exp-run after bug 214234
2. file bugs for new bustage (if any)
3. wait for maintainer timeout on blocking bugs
4. land the update here
5. start landing fixes under portmgr blanket
6. mark ports as BROKEN after a month
Comment 35 Jan Beich freebsd_committer 2016-11-05 07:19:26 UTC
How to count maintainer timeout maybe a bit contentious. I propose to not wait on *promises* to fix.
Comment 36 Jan Beich freebsd_committer 2016-11-19 00:42:06 UTC
Can you schedule another exp-run? Apply patches in the blocking bugs and add the following to poudriere.d/PR207547-make.conf

  # Force building against FFmpeg if non-default
  OPTIONS_SET              += FFMPEG

  # Some (non-default) consumers have esoteric option names
  audio/libsoxr_SET        += AVFFT
  cad_netget_UNSET         += FFMPEG # unrelated bustage
  graphics_gnash_SET       += FFMPEG2 # lost hope?
  graphics_gnash_UNSET     += FFMPEG
  graphics_iulib_SET       += VIDIO # not a typo!
  graphics_pqiv_SET        += LIBAV
  multimedia_tvheadend_SET += TRANSCODING
  multimedia_x264_SET      += LAVF
  net_freeswitch_SET       += ALL_MODULES
  www_nginx_SET            += HTTP_VIDEO_THUMBEXTRACTOR
  www_nginx-devel_SET      += HTTP_VIDEO_THUMBEXTRACTOR
  www_tengine_SET          += HTTP_VIDEO_THUMBEXTRACTOR
  x11_leechcraft_SET       += MUSICZOMBIE
Comment 37 Jan Beich freebsd_committer 2016-11-19 00:45:47 UTC
>   audio/libsoxr_SET        += AVFFT

Typo. Replace / with _
Comment 38 commit-hook freebsd_committer 2016-11-25 06:44:55 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 25 06:44:26 UTC 2016
New revision: 427079
URL: https://svnweb.freebsd.org/changeset/ports/427079

Log:
  www/nginx: apply r390310

  =======================<phase: lib-depends    >============================
  ===>   nginx-1.10.2_1,2 depends on shared library: libjpeg.so - not found
  ===>   Installing existing package /packages/All/jpeg-8_6.txz
  Installing jpeg-8_6...
  Extracting jpeg-8_6: .......... done
  ===>   nginx-1.10.2_1,2 depends on shared library: libjpeg.so - found (/usr/local/lib/libjpeg.so)
  ===>   Returning to build of nginx-1.10.2_1,2
  ===>   nginx-1.10.2_1,2 depends on shared library: libavformat.so - not found
  ===>   Installing existing package /packages/All/ffmpeg-3.2,1.txz
  Installing ffmpeg-3.2,1...
  `-- Installing libv4l-1.6.3_2...
  |   `-- Installing jpeg-turbo-1.5.1...
  pkg-static: jpeg-turbo-1.5.1 conflicts with jpeg-8_6 (installs files into the same place).  Problematic file: /usr/local/bin/cjpeg

  Failed to install the following 1 package(s): /packages/All/ffmpeg-3.2,1.txz
  *** Error code 70

  PR:		207547
  Reported by:	antoine (via exp-run)
  Approved by:	portmgr blanket

Changes:
  head/www/nginx/Makefile
  head/www/nginx-devel/Makefile
Comment 39 Jan Beich freebsd_committer 2016-11-25 06:52:55 UTC
(In reply to Jan Beich (mail not working) from comment #36)
>  cad_netget_UNSET         += FFMPEG # unrelated bustage

Drop this line. After ports r426602 cad/netgen is a proper multimedia/ffmpeg consumer.
Comment 40 commit-hook freebsd_committer 2016-11-25 07:48:03 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 25 07:47:11 UTC 2016
New revision: 427082
URL: https://svnweb.freebsd.org/changeset/ports/427082

Log:
  www/tengine: video-thumbextractor is broken after r358176

  In file included from src/ngx_http_video_thumbextractor_module.c:3:
  src/ngx_http_video_thumbextractor_module_utils.c:5:10: fatal error: 'wand/magick_wand.h' file not found
           ^
  /usr/bin/ld: cannot find -lMagickWand
  cc: error: linker command failed with exit code 1 (use -v to see invocation)

  PR:		185462 207547
  Reported by:	antoine (via exp-run)

Changes:
  head/www/tengine/Makefile
Comment 41 commit-hook freebsd_committer 2016-11-25 08:46:09 UTC
A commit references this bug:

Author: jbeich
Date: Fri Nov 25 08:45:54 UTC 2016
New revision: 427085
URL: https://svnweb.freebsd.org/changeset/ports/427085

Log:
  x11/leechcraft: unbreak with ffmpeg 3.x

  src/plugins/musiczombie/chroma.cpp:41:10: fatal error: 'libavutil/audioconvert.h' file not found
   #include <libavutil/audioconvert.h>
            ^
  src/plugins/musiczombie/chroma.cpp:125:35: error:
        use of undeclared identifier 'avcodec_alloc_frame'
                  std::shared_ptr<AVFrame> frame (avcodec_alloc_frame (),
                                                  ^
  src/plugins/musiczombie/chroma.cpp:126:27: error:
        use of undeclared identifier 'avcodec_free_frame'; did you mean 'avcodec_get_name'?
                                  [] (AVFrame *frame) { avcodec_free_frame (&frame); });
                                                        ^~~~~~~~~~~~~~~~~~
                                                        avcodec_get_name
  /usr/local/include/libavcodec/avcodec.h:6187:13: note: 'avcodec_get_name' declared here
  const char *avcodec_get_name(enum AVCodecID id);
              ^
  src/plugins/musiczombie/chroma.cpp:126:47: error:
        cannot initialize a parameter of type 'enum AVCodecID' with an rvalue of type 'AVFrame **'
                                  [] (AVFrame *frame) { avcodec_free_frame (&frame); });
                                                                            ^~~~~~
  /usr/local/include/libavcodec/avcodec.h:6187:45: note: passing argument to parameter 'id' here
  const char *avcodec_get_name(enum AVCodecID id);
                                              ^

  PR:		207547
  Obtained from:	upstream
  Approved by:	portmgr blanket

Changes:
  head/x11/leechcraft/Makefile
  head/x11/leechcraft/files/patch-plugins_musiczombie_chroma.cpp
Comment 42 Jan Beich freebsd_committer 2016-11-26 06:38:38 UTC
Comment on attachment 176314 [details]
svn diff to ffmpeg 3.2

Thomas, can you update the diff to FFmpeg 3.2.1? Based on https://abi-laboratory.pro/tracker/timeline/ffmpeg/ it shouldn't affect exp-run results.
Comment 43 Thomas Zander freebsd_committer 2016-11-26 09:19:21 UTC
Created attachment 177408 [details]
svn diff to ffmpeg 3.2.1
Comment 44 Antoine Brodin freebsd_committer 2016-11-26 09:35:25 UTC
On 9.3 i386 there were those 2 new failures:

+ {"origin"=>"devel/libdlna", "phase"=>"build", "errortype"=>"compiler_error"}
+ {"origin"=>"multimedia/kdemultimedia4-ffmpegthumbs", "phase"=>"build", "errortype"=>"gcc4_error"}

Failure logs:

http://package23.nyi.freebsd.org/data/93i386-default-PR207547/2016-11-25_15h17m51s/logs/errors/libdlna-0.2.3_6.log
http://package23.nyi.freebsd.org/data/93i386-default-PR207547/2016-11-25_15h17m51s/logs/errors/kdemultimedia-ffmpegthumbs-4.14.3.log
Comment 45 Thomas Zander freebsd_committer 2016-11-26 09:41:35 UTC
(In reply to Antoine Brodin from comment #44)

This one

http://package23.nyi.freebsd.org/data/93i386-default-PR207547/2016-11-25_15h17m51s/logs/errors/libdlna-0.2.3_6.log

is fixed in r427135.
Comment 46 Hatronmorus 2016-11-27 07:25:51 UTC
Created attachment 177434 [details]
new patch to fix build with libressl

patch taken from https://www.mail-archive.com/ffmpeg-devel@ffmpeg.org/msg41866.html fixes build of ffmpeg 3.2.1 with libressl
Comment 47 Antoine Brodin freebsd_committer 2016-11-28 06:26:24 UTC
On 9.3 amd64 there are 2 new failures:

+ {"origin"=>"multimedia/kdemultimedia4-ffmpegthumbs", "phase"=>"build", "errortype"=>"gcc4_error"}
+ {"origin"=>"multimedia/mplayer2", "phase"=>"build", "errortype"=>"compiler_error"}

http://package23.nyi.freebsd.org/data/93amd64-default-PR207547/2016-11-27_17h03m14s/logs/errors/kdemultimedia-ffmpegthumbs-4.14.3.log
http://package23.nyi.freebsd.org/data/93amd64-default-PR207547/2016-11-27_17h03m14s/logs/errors/mplayer2-2.0.20130428_23.log
Comment 48 Antoine Brodin freebsd_committer 2016-11-28 17:35:23 UTC
Upgrade is fine from portmgr point of view as soon as kdemultimedia4-ffmpegthumbs is fixed on FreeBSD 9  (kde4 metaport depends on it).
Comment 49 Thomas Zander freebsd_committer 2016-12-03 17:59:35 UTC
Created attachment 177637 [details]
svn diff to ffmpeg 3.2.1

Updated patch includes the libressl fix as well as the rtmp fix by kevlo from r427233
Comment 50 Thomas Zander freebsd_committer 2016-12-04 10:39:45 UTC
Created attachment 177651 [details]
svn diff to ffmpeg 3.2.1

Support SNDIO OPTION after r427763
Comment 51 Jan Beich freebsd_committer 2016-12-05 00:01:38 UTC
Comment on attachment 177651 [details]
svn diff to ffmpeg 3.2.1

> -USES=		compiler:c11 cpe gmake perl5 pkgconfig tar:bzip2 shebangfix
> +USES=		compiler cpe gmake perl5 pkgconfig tar:bzip2 shebangfix

What's the rationale for backing out ports r425640?

> -OPTIONS_DEFINE= AACPLUS ALSA AMR_NB AMR_WB ASS BS2B CACA CDIO CELT DC1394 \
> +OPTIONS_DEFINE= ALSA AMR_NB AMR_WB ASS BS2B CACA CDIO CELT CHROMAPRINT DC1394 \

Did you actually review upstream changes to configure during updates? One of the following already has a port:

    --enable-libebur128      enable libebur128 for EBU R128 measurement,
                             needed for loudnorm filter [no]
    --enable-libopenmpt      enable decoding tracked files via libopenmpt [no]

> +	@${REINPLACE_CMD} -E \
> +		-e 's|#include <SDL|#include <SDL2/SDL|' \
> +		${WRKSRC}/ffplay.c \
> +		${WRKSRC}/libavdevice/opengl_enc.c \
> +		${WRKSRC}/libavdevice/sdl2.c

What's the rationale for keeping this cruft? "sdl2-config --cflags" already includes path to where the correct SDL.h is located.

> +-                              sizeof(rtsp_st->sdp_ip),
[...]
>  +                        sizeof(rtsp_st->sdp_ip),

Nop change. Rebase to avoid + line by adjusting whitespace to be consistent with the rest of the file.

> +--include $(SRC_PATH)/tests/checkasm/$(ARCH)/Makefile
> ++-include $(SRC_PATH)/tests/checkasm/$(FFMPEG_ARCH)/Makefile

Patching source to work around Mk/bsd.port.mk bug doesn't make sense. Define NOPRECIOUSMAKEVARS=1 then drop all $(FFMPEG_ARCH) hacks.

> +%%OPENCL%%include/libavutil/opencl.h
>  include/libavcodec/avcodec.h

Sort as if %%FOO%% lines were all expanded to "" i.e., put %%OPENCL%% to where it was.
Comment 52 Jan Beich freebsd_committer 2016-12-09 23:52:34 UTC
3.2.2 was released on 2016-12-06.
Comment 53 commit-hook freebsd_committer 2016-12-11 15:23:56 UTC
A commit references this bug:

Author: jbeich
Date: Sun Dec 11 15:22:56 UTC 2016
New revision: 428352
URL: https://svnweb.freebsd.org/changeset/ports/428352

Log:
  multimedia/ffmpeg: update to 3.2.2

  Changes:	https://git.ffmpeg.org/gitweb/ffmpeg.git/blob/n3.2.2:/Changelog
  PR:		207547
  Submitted by:	riggs, ebirth@b0ss.net (libressl fix)
  Exp-run by:	antoine (3 tries)

Changes:
  head/audio/acoustid-fingerprinter/Makefile
  head/audio/alsa-plugins/Makefile
  head/audio/amarok-kde4/Makefile
  head/audio/aqualung/Makefile
  head/audio/aubio/Makefile
  head/audio/audacity/Makefile
  head/audio/baresip/Makefile
  head/audio/beets/Makefile
  head/audio/cantata/Makefile
  head/audio/chromaprint/Makefile
  head/audio/cmus/Makefile
  head/audio/forked-daapd/Makefile
  head/audio/idjc/Makefile
  head/audio/kid3-kde4/Makefile
  head/audio/lastfm-desktop/Makefile
  head/audio/libgroove/Makefile
  head/audio/libsoxr/Makefile
  head/audio/moc/Makefile
  head/audio/musicpd/Makefile
  head/audio/pacpl/Makefile
  head/audio/pianobar/Makefile
  head/audio/soundkonverter/Makefile
  head/audio/spek/Makefile
  head/audio/xmms2/Makefile
  head/cad/netgen/Makefile
  head/comms/dabstick-radio/Makefile
  head/databases/grass/Makefile
  head/deskutils/libstreamanalyzer/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/libdlna/Makefile
  head/devel/renpy/Makefile
  head/devel/renpy6/Makefile
  head/devel/synfig/Makefile
  head/emulators/dolphin-emu/Makefile
  head/emulators/fuse-utils/Makefile
  head/emulators/kcemu/Makefile
  head/emulators/ppsspp/Makefile
  head/emulators/ppsspp-qt4/Makefile
  head/emulators/ppsspp-qt5/Makefile
  head/emulators/vice/Makefile
  head/emulators/visualboyadvance-m/Makefile
  head/games/alephone/Makefile
  head/games/corsix-th/Makefile
  head/games/openmw/Makefile
  head/games/retroarch/Makefile
  head/games/stepmania-devel/Makefile
  head/games/wargus/Makefile
  head/graphics/blender/Makefile
  head/graphics/bugle/Makefile
  head/graphics/cimg/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gegl3/Makefile
  head/graphics/gimp-gmic-plugin/Makefile
  head/graphics/gnash/Makefile
  head/graphics/hiptext/Makefile
  head/graphics/iulib/Makefile
  head/graphics/opencv2/Makefile
  head/graphics/openimageio/Makefile
  head/graphics/osg/Makefile
  head/graphics/php5-ffmpeg/Makefile
  head/graphics/pqiv/Makefile
  head/graphics/py-imageio/Makefile
  head/graphics/wxsvg/Makefile
  head/mail/thunderbird/Makefile
  head/math/octave-forge-video/Makefile
  head/math/sage/Makefile
  head/multimedia/2mandvd/Makefile
  head/multimedia/audacious-plugins/Makefile
  head/multimedia/audacious-plugins-gtk3/Makefile
  head/multimedia/bino/Makefile
  head/multimedia/bombono/Makefile
  head/multimedia/devede/Makefile
  head/multimedia/dvbcut/Makefile
  head/multimedia/dvd-slideshow/Makefile
  head/multimedia/dvdstyler/Makefile
  head/multimedia/emby-server/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg/distinfo
  head/multimedia/ffmpeg/files/patch-configure
  head/multimedia/ffmpeg/files/patch-kvazaar-0.7
  head/multimedia/ffmpeg/files/patch-libavcodec-Makefile
  head/multimedia/ffmpeg/files/patch-libavfilter-vf_libopencv.c
  head/multimedia/ffmpeg/files/patch-libavformat_rtsp.c
  head/multimedia/ffmpeg/files/patch-libavformat_tls__openssl.c
  head/multimedia/ffmpeg/files/patch-tests_checkasm_Makefile
  head/multimedia/ffmpeg/pkg-plist
  head/multimedia/ffmpeg2theora/Makefile
  head/multimedia/ffmpegthumbnailer/Makefile
  head/multimedia/ffms2/Makefile
  head/multimedia/gstreamer1-libav/Makefile
  head/multimedia/imagination/Makefile
  head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/libquicktime/Makefile
  head/multimedia/libxine/Makefile
  head/multimedia/lives/Makefile
  head/multimedia/m2tstoavi/Makefile
  head/multimedia/miro/Makefile
  head/multimedia/mplayer2/Makefile
  head/multimedia/mps-youtube/Makefile
  head/multimedia/mpv/Makefile
  head/multimedia/nordlicht/Makefile
  head/multimedia/obs-studio/Makefile
  head/multimedia/omxplayer/Makefile
  head/multimedia/openshot/Makefile
  head/multimedia/p5-FFmpeg-Command/Makefile
  head/multimedia/pHash/Makefile
  head/multimedia/py-ffmpeg/Makefile
  head/multimedia/qmmp/Makefile
  head/multimedia/qmmp-qt5/Makefile
  head/multimedia/tovid/Makefile
  head/multimedia/transcode/Makefile
  head/multimedia/tvheadend/Makefile
  head/multimedia/vapoursynth/Makefile
  head/multimedia/vapoursynth-l-smash-works/Makefile
  head/multimedia/vdr-plugin-markad/Makefile
  head/multimedia/vdr-plugin-osdpip/Makefile
  head/multimedia/vdr-plugin-xineliboutput/Makefile
  head/multimedia/vlc/Makefile
  head/multimedia/winff/Makefile
  head/multimedia/x264/Makefile
  head/multimedia/zoneminder/Makefile
  head/multimedia/zoneminder-h264/Makefile
  head/net/freerdp/Makefile
  head/net/freerdp1/Makefile
  head/net/freeswitch/Makefile
  head/net/mediastreamer/Makefile
  head/net/mediatomb/Makefile
  head/net/minidlna/Makefile
  head/net/opal/Makefile
  head/net/openh323/Makefile
  head/net/pjsip/Makefile
  head/net/serviio/Makefile
  head/net-im/qTox/Makefile
  head/net-im/ring-daemon/Makefile
  head/net-p2p/retroshare/Makefile
  head/net-p2p/tribler/Makefile
  head/sysutils/k3b-kde4/Makefile
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/xvidcap/Makefile
  head/textproc/libextractor/Makefile
  head/www/cherokee/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/gallery2/Makefile
  head/www/gallery3/Makefile
  head/www/libxul/Makefile
  head/www/madsonic/Makefile
  head/www/madsonic-standalone/Makefile
  head/www/nginx/Makefile
  head/www/nginx-devel/Makefile
  head/www/seamonkey/Makefile
  head/www/subsonic/Makefile
  head/www/subsonic-standalone/Makefile
  head/www/youtube_dl/Makefile
  head/x11/leechcraft/Makefile
  head/x11/xpra/Makefile
  head/x11-toolkits/nucleo/Makefile
Comment 54 Jan Beich freebsd_committer 2016-12-11 15:32:17 UTC
Thanks, landed while beefy[56] haven't started to build the next batch. Cruft cleanup left for later as there's more of it.

(Temporary removing dependencies to work around bug 203179 folly.)
Comment 55 Ben Woods freebsd_committer 2016-12-11 22:58:58 UTC
Well done everyone - a long time coming :)
Comment 56 commit-hook freebsd_committer 2016-12-12 08:08:48 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec 12 08:08:41 UTC 2016
New revision: 428398
URL: https://svnweb.freebsd.org/changeset/ports/428398

Log:
  graphics/gegl: unbreak FFMPEG=on runtime

  $ gimp /path/to/file.png
  GEGL-geglmodule.c-Message: Module '/usr/local/lib/gegl-0.2/ff-load.so'
  load error: /usr/local/lib/gegl-0.2/ff-load.so: Undefined symbol "av_read_packet"

  $ echo CFLAGS+=-Werror=implicit-function-declaration >>Makefile.local
  $ make
  [...]
  ./ff-load.c:140:9: error: implicit declaration of function 'av_close_input_file' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
          av_close_input_file (p->ic);
          ^
  ./ff-load.c:219:23: error: implicit declaration of function 'av_read_packet' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
                    if (av_read_packet (p->ic, &p->pkt) < 0)
                        ^
  ./ff-load.c:274:13: error: implicit declaration of function 'av_open_input_file' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
        err = av_open_input_file (&p->ic, o->path, NULL, 0, NULL);
              ^
  ./ff-load.c:279:13: error: implicit declaration of function 'av_find_stream_info' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
        err = av_find_stream_info (p->ic);
              ^
  ./ff-load.c:279:13: note: did you mean 'avformat_find_stream_info'?
  /usr/local/include/libavformat/avformat.h:2217:5: note: 'avformat_find_stream_info' declared here
  int avformat_find_stream_info(AVFormatContext *ic, AVDictionary **options);
      ^
  ./ff-load.c:315:11: error: implicit declaration of function 'avcodec_open' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
        if (avcodec_open (p->enc, p->codec) < 0)
            ^
  ./ff-load.c:315:11: note: did you mean 'avcodec_open2'?
  /usr/local/include/libavcodec/avcodec.h:4324:5: note: 'avcodec_open2' declared here
  int avcodec_open2(AVCodecContext *avctx, const AVCodec *codec, AVDictionary **options);
      ^
  ./ff-load.c:324:23: error: implicit declaration of function 'avcodec_alloc_frame' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
        p->lavc_frame = avcodec_alloc_frame ();
                        ^

  PR:		207547
  Approved by:	portmgr blanket

Changes:
  head/graphics/gegl/Makefile
  head/graphics/gegl/files/patch-operations_external_ff-load.c
Comment 57 commit-hook freebsd_committer 2016-12-12 08:25:03 UTC
A commit references this bug:

Author: jbeich
Date: Mon Dec 12 08:24:06 UTC 2016
New revision: 428399
URL: https://svnweb.freebsd.org/changeset/ports/428399

Log:
  graphics/gegl3: unbreak FFMPEG=on runtime

  $ echo CFLAGS+=-Werror=implicit-function-declaration >>Makefile.local
  $ make
  [...]
  ./ff-save.c:700:9: error: implicit declaration of function 'avcodec_encode_video' is invalid in C99
        [-Werror,-Wimplicit-function-declaration]
          avcodec_encode_video (c,
          ^
  ./ff-save.c:700:9: note: did you mean 'avcodec_encode_video2'?
  /usr/local/include/libavcodec/avcodec.h:5323:5: note: 'avcodec_encode_video2' declared here
  int avcodec_encode_video2(AVCodecContext *avctx, AVPacket *avpkt,
      ^

  PR:		207547
  Obtained from:	upstream
  Approved by:	portmgr blanket

Changes:
  head/graphics/gegl3/Makefile
  head/graphics/gegl3/files/
  head/graphics/gegl3/files/patch-operations_external_ff-save.c